<% local form, viewlibrary, page_info = ... %>
<% require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<H1><%= html.html_escape(form.label) %></H1>
<H2>Template Details</H2>
<% form.action = page_info.script .. page_info.prefix .. page_info.controller .. "/" .. page_info.action %>
<% htmlviewfunctions.displayformstart(form) %>
<% 
if page_info.action == "edittemplate" then
	form.value.filename.readonly = "true"
end
htmlviewfunctions.displayformitem(form.value.filename, "filename")
htmlviewfunctions.displayformitem(form.value.label, "label")
htmlviewfunctions.displayformitem(form.value.seq, "seq")
%>
</DL>

<H2>File Content</H2>
<DL>
<textarea name="filecontent">
<%= html.html_escape(form.value.filecontent.value) %>
</textarea>
<% if form.value.filecontent.errtxt then %><P CLASS='error'><%= string.gsub(html.html_escape(form.value.filecontent.errtxt), "\n", "<BR>") %></P><% end %>
<% if form.value.filecontent.descr then %><P CLASS='descr'><%= string.gsub(html.html_escape(form.value.filecontent.descr), "\n", "<BR>") %></P><% end %>

<% htmlviewfunctions.displayformend(form) %>
