<% local view, viewlibrary, page_info, session = ... 
require("htmlviewfunctions")
html = require("acf.html")
%>

<% htmlviewfunctions.displaycommandresults({"editfile"}, session) %>

<h1>Provisioning Script Files</h1>
<DL><TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">File</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Size</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">Last Modified</TD>
	</TR>		

<%
   for k,v in ipairs( view.value ) do
      io.write( "<tr><td><a href=\"" .. html.html_escape(page_info.script .. page_info.prefix .. page_info.controller) .. "/editfile?filename=" .. html.html_escape(v.filename) .. "&redir=" .. html.html_escape(page_info.orig_action) .. "\">" .. html.html_escape(v.filename) .. "</a></td><td>" .. html.html_escape(v.size) .."</td><td>" .. html.html_escape(v.mtime) .."</td></tr>\n" )
   end
%>
</TABLE></DL>
